source: Makefile.in @ a6151ba

ADTaaron-thesisarm-ehast-experimentalcleanup-dtorsctordeferred_resndemanglerenumforall-pointer-decayjacob/cs343-translationjenkins-sandboxmemorynew-astnew-ast-unique-exprnew-envno_listpersistent-indexerpthread-emulationqualifiedEnumresolv-newwith_gc
Last change on this file since a6151ba was 1da317b, checked in by Peter A. Buhr <pabuhr@…>, 8 years ago

explicitly delete .deps/.outs for examples and tests for maintainer-clean

  • Property mode set to 100644
File size: 23.2 KB
Line 
1# Makefile.in generated by automake 1.11.3 from Makefile.am.
2# @configure_input@
3
4# Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5# 2003, 2004, 2005, 2006, 2007, 2008, 2009, 2010, 2011 Free Software
6# Foundation, Inc.
7# This Makefile.in is free software; the Free Software Foundation
8# gives unlimited permission to copy and/or distribute it,
9# with or without modifications, as long as this notice is preserved.
10
11# This program is distributed in the hope that it will be useful,
12# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
13# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
14# PARTICULAR PURPOSE.
15
16@SET_MAKE@
17
18######################## -*- Mode: Makefile-Automake -*- ######################
19###############################################################################
20VPATH = @srcdir@
21pkgdatadir = $(datadir)/@PACKAGE@
22pkgincludedir = $(includedir)/@PACKAGE@
23pkglibdir = $(libdir)/@PACKAGE@
24pkglibexecdir = $(libexecdir)/@PACKAGE@
25am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
26install_sh_DATA = $(install_sh) -c -m 644
27install_sh_PROGRAM = $(install_sh) -c
28install_sh_SCRIPT = $(install_sh) -c
29INSTALL_HEADER = $(INSTALL_DATA)
30transform = $(program_transform_name)
31NORMAL_INSTALL = :
32PRE_INSTALL = :
33POST_INSTALL = :
34NORMAL_UNINSTALL = :
35PRE_UNINSTALL = :
36POST_UNINSTALL = :
37subdir = .
38DIST_COMMON = README $(am__configure_deps) $(srcdir)/Makefile.am \
39        $(srcdir)/Makefile.in $(srcdir)/config.h.in \
40        $(top_srcdir)/configure INSTALL automake/compile \
41        automake/depcomp automake/install-sh automake/missing \
42        automake/ylwrap
43ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
44am__aclocal_m4_deps = $(top_srcdir)/configure.ac
45am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
46        $(ACLOCAL_M4)
47am__CONFIG_DISTCLEAN_FILES = config.status config.cache config.log \
48 configure.lineno config.status.lineno
49mkinstalldirs = $(install_sh) -d
50CONFIG_HEADER = config.h
51CONFIG_CLEAN_FILES =
52CONFIG_CLEAN_VPATH_FILES =
53AM_V_GEN = $(am__v_GEN_@AM_V@)
54am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
55am__v_GEN_0 = @echo "  GEN   " $@;
56AM_V_at = $(am__v_at_@AM_V@)
57am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
58am__v_at_0 = @
59SOURCES =
60DIST_SOURCES =
61RECURSIVE_TARGETS = all-recursive check-recursive dvi-recursive \
62        html-recursive info-recursive install-data-recursive \
63        install-dvi-recursive install-exec-recursive \
64        install-html-recursive install-info-recursive \
65        install-pdf-recursive install-ps-recursive install-recursive \
66        installcheck-recursive installdirs-recursive pdf-recursive \
67        ps-recursive uninstall-recursive
68RECURSIVE_CLEAN_TARGETS = mostlyclean-recursive clean-recursive \
69  distclean-recursive maintainer-clean-recursive
70AM_RECURSIVE_TARGETS = $(RECURSIVE_TARGETS:-recursive=) \
71        $(RECURSIVE_CLEAN_TARGETS:-recursive=) tags TAGS ctags CTAGS \
72        distdir dist dist-all distcheck
73ETAGS = etags
74CTAGS = ctags
75DIST_SUBDIRS = $(SUBDIRS)
76DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
77distdir = $(PACKAGE)-$(VERSION)
78top_distdir = $(distdir)
79am__remove_distdir = \
80  if test -d "$(distdir)"; then \
81    find "$(distdir)" -type d ! -perm -200 -exec chmod u+w {} ';' \
82      && rm -rf "$(distdir)" \
83      || { sleep 5 && rm -rf "$(distdir)"; }; \
84  else :; fi
85am__relativize = \
86  dir0=`pwd`; \
87  sed_first='s,^\([^/]*\)/.*$$,\1,'; \
88  sed_rest='s,^[^/]*/*,,'; \
89  sed_last='s,^.*/\([^/]*\)$$,\1,'; \
90  sed_butlast='s,/*[^/]*$$,,'; \
91  while test -n "$$dir1"; do \
92    first=`echo "$$dir1" | sed -e "$$sed_first"`; \
93    if test "$$first" != "."; then \
94      if test "$$first" = ".."; then \
95        dir2=`echo "$$dir0" | sed -e "$$sed_last"`/"$$dir2"; \
96        dir0=`echo "$$dir0" | sed -e "$$sed_butlast"`; \
97      else \
98        first2=`echo "$$dir2" | sed -e "$$sed_first"`; \
99        if test "$$first2" = "$$first"; then \
100          dir2=`echo "$$dir2" | sed -e "$$sed_rest"`; \
101        else \
102          dir2="../$$dir2"; \
103        fi; \
104        dir0="$$dir0"/"$$first"; \
105      fi; \
106    fi; \
107    dir1=`echo "$$dir1" | sed -e "$$sed_rest"`; \
108  done; \
109  reldir="$$dir2"
110DIST_ARCHIVES = $(distdir).tar.gz
111GZIP_ENV = --best
112distuninstallcheck_listfiles = find . -type f -print
113am__distuninstallcheck_listfiles = $(distuninstallcheck_listfiles) \
114  | sed 's|^\./|$(prefix)/|' | grep -v '$(infodir)/dir$$'
115distcleancheck_listfiles = find . -type f -print
116ACLOCAL = @ACLOCAL@
117ALLOCA = @ALLOCA@
118AMTAR = @AMTAR@
119AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
120AUTOCONF = @AUTOCONF@
121AUTOHEADER = @AUTOHEADER@
122AUTOMAKE = @AUTOMAKE@
123AWK = @AWK@
124BACKEND_CC = @BACKEND_CC@               # C compiler used to compile Cforall programs, versus C++ compiler used to build cfa command
125CC = @CC@
126CCDEPMODE = @CCDEPMODE@
127CFA_BACKEND_CC = @CFA_BACKEND_CC@
128CFA_BINDIR = @CFA_BINDIR@
129CFA_INCDIR = @CFA_INCDIR@
130CFA_LIBDIR = @CFA_LIBDIR@
131CFA_PREFIX = @CFA_PREFIX@
132CFLAGS = @CFLAGS@
133CPP = @CPP@
134CPPFLAGS = @CPPFLAGS@
135CXX = @CXX@
136CXXDEPMODE = @CXXDEPMODE@
137CXXFLAGS = @CXXFLAGS@
138CYGPATH_W = @CYGPATH_W@
139DEFS = @DEFS@
140DEPDIR = @DEPDIR@
141ECHO_C = @ECHO_C@
142ECHO_N = @ECHO_N@
143ECHO_T = @ECHO_T@
144EGREP = @EGREP@
145EXEEXT = @EXEEXT@
146GREP = @GREP@
147INSTALL = @INSTALL@
148INSTALL_DATA = @INSTALL_DATA@
149INSTALL_PROGRAM = @INSTALL_PROGRAM@
150INSTALL_SCRIPT = @INSTALL_SCRIPT@
151INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
152LDFLAGS = @LDFLAGS@
153LEX = @LEX@
154LEXLIB = @LEXLIB@
155LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
156LIBOBJS = @LIBOBJS@
157LIBS = @LIBS@
158LTLIBOBJS = @LTLIBOBJS@
159MAINT = @MAINT@
160MAKEINFO = @MAKEINFO@
161MKDIR_P = @MKDIR_P@
162OBJEXT = @OBJEXT@
163PACKAGE = @PACKAGE@
164PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
165PACKAGE_NAME = @PACKAGE_NAME@
166PACKAGE_STRING = @PACKAGE_STRING@
167PACKAGE_TARNAME = @PACKAGE_TARNAME@
168PACKAGE_URL = @PACKAGE_URL@
169PACKAGE_VERSION = @PACKAGE_VERSION@
170PATH_SEPARATOR = @PATH_SEPARATOR@
171RANLIB = @RANLIB@
172SET_MAKE = @SET_MAKE@
173SHELL = @SHELL@
174STRIP = @STRIP@
175VERSION = @VERSION@
176YACC = @YACC@
177YFLAGS = @YFLAGS@
178abs_builddir = @abs_builddir@
179abs_srcdir = @abs_srcdir@
180abs_top_builddir = @abs_top_builddir@
181abs_top_srcdir = @abs_top_srcdir@
182ac_ct_CC = @ac_ct_CC@
183ac_ct_CXX = @ac_ct_CXX@
184am__include = @am__include@
185am__leading_dot = @am__leading_dot@
186am__quote = @am__quote@
187am__tar = @am__tar@
188am__untar = @am__untar@
189bindir = @bindir@
190build_alias = @build_alias@
191builddir = @builddir@
192datadir = @datadir@
193datarootdir = @datarootdir@
194docdir = @docdir@
195dvidir = @dvidir@
196exec_prefix = @exec_prefix@
197host_alias = @host_alias@
198htmldir = @htmldir@
199includedir = @includedir@
200infodir = @infodir@
201install_sh = @install_sh@
202libdir = @libdir@
203libexecdir = @libexecdir@
204localedir = @localedir@
205localstatedir = @localstatedir@
206mandir = @mandir@
207mkdir_p = @mkdir_p@
208oldincludedir = @oldincludedir@
209pdfdir = @pdfdir@
210prefix = @prefix@
211program_transform_name = @program_transform_name@
212psdir = @psdir@
213sbindir = @sbindir@
214sharedstatedir = @sharedstatedir@
215srcdir = @srcdir@
216sysconfdir = @sysconfdir@
217target_alias = @target_alias@
218top_build_prefix = @top_build_prefix@
219top_builddir = @top_builddir@
220top_srcdir = @top_srcdir@
221AUTOMAKE_OPTIONS = foreign              # do not require all the GNU file names
222SUBDIRS = src/driver src src/libcfa     # order important, src before libcfa because cfa-cpp used to build prelude
223EXTRA_DIST = Docs                       # non-source files
224MAINTAINERCLEANFILES = lib/* bin/* src/examples/.deps/* src/tests/.deps/* src/tests/.out/*
225all: config.h
226        $(MAKE) $(AM_MAKEFLAGS) all-recursive
227
228.SUFFIXES:
229am--refresh: Makefile
230        @:
231$(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am  $(am__configure_deps)
232        @for dep in $?; do \
233          case '$(am__configure_deps)' in \
234            *$$dep*) \
235              echo ' cd $(srcdir) && $(AUTOMAKE) --foreign'; \
236              $(am__cd) $(srcdir) && $(AUTOMAKE) --foreign \
237                && exit 0; \
238              exit 1;; \
239          esac; \
240        done; \
241        echo ' cd $(top_srcdir) && $(AUTOMAKE) --foreign Makefile'; \
242        $(am__cd) $(top_srcdir) && \
243          $(AUTOMAKE) --foreign Makefile
244.PRECIOUS: Makefile
245Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
246        @case '$?' in \
247          *config.status*) \
248            echo ' $(SHELL) ./config.status'; \
249            $(SHELL) ./config.status;; \
250          *) \
251            echo ' cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe)'; \
252            cd $(top_builddir) && $(SHELL) ./config.status $@ $(am__depfiles_maybe);; \
253        esac;
254
255$(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
256        $(SHELL) ./config.status --recheck
257
258$(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
259        $(am__cd) $(srcdir) && $(AUTOCONF)
260$(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
261        $(am__cd) $(srcdir) && $(ACLOCAL) $(ACLOCAL_AMFLAGS)
262$(am__aclocal_m4_deps):
263
264config.h: stamp-h1
265        @if test ! -f $@; then rm -f stamp-h1; else :; fi
266        @if test ! -f $@; then $(MAKE) $(AM_MAKEFLAGS) stamp-h1; else :; fi
267
268stamp-h1: $(srcdir)/config.h.in $(top_builddir)/config.status
269        @rm -f stamp-h1
270        cd $(top_builddir) && $(SHELL) ./config.status config.h
271$(srcdir)/config.h.in: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
272        ($(am__cd) $(top_srcdir) && $(AUTOHEADER))
273        rm -f stamp-h1
274        touch $@
275
276distclean-hdr:
277        -rm -f config.h stamp-h1
278
279# This directory's subdirectories are mostly independent; you can cd
280# into them and run `make' without going through this Makefile.
281# To change the values of `make' variables: instead of editing Makefiles,
282# (1) if the variable is set in `config.status', edit `config.status'
283#     (which will cause the Makefiles to be regenerated when you run `make');
284# (2) otherwise, pass the desired values on the `make' command line.
285$(RECURSIVE_TARGETS):
286        @fail= failcom='exit 1'; \
287        for f in x $$MAKEFLAGS; do \
288          case $$f in \
289            *=* | --[!k]*);; \
290            *k*) failcom='fail=yes';; \
291          esac; \
292        done; \
293        dot_seen=no; \
294        target=`echo $@ | sed s/-recursive//`; \
295        list='$(SUBDIRS)'; for subdir in $$list; do \
296          echo "Making $$target in $$subdir"; \
297          if test "$$subdir" = "."; then \
298            dot_seen=yes; \
299            local_target="$$target-am"; \
300          else \
301            local_target="$$target"; \
302          fi; \
303          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
304          || eval $$failcom; \
305        done; \
306        if test "$$dot_seen" = "no"; then \
307          $(MAKE) $(AM_MAKEFLAGS) "$$target-am" || exit 1; \
308        fi; test -z "$$fail"
309
310$(RECURSIVE_CLEAN_TARGETS):
311        @fail= failcom='exit 1'; \
312        for f in x $$MAKEFLAGS; do \
313          case $$f in \
314            *=* | --[!k]*);; \
315            *k*) failcom='fail=yes';; \
316          esac; \
317        done; \
318        dot_seen=no; \
319        case "$@" in \
320          distclean-* | maintainer-clean-*) list='$(DIST_SUBDIRS)' ;; \
321          *) list='$(SUBDIRS)' ;; \
322        esac; \
323        rev=''; for subdir in $$list; do \
324          if test "$$subdir" = "."; then :; else \
325            rev="$$subdir $$rev"; \
326          fi; \
327        done; \
328        rev="$$rev ."; \
329        target=`echo $@ | sed s/-recursive//`; \
330        for subdir in $$rev; do \
331          echo "Making $$target in $$subdir"; \
332          if test "$$subdir" = "."; then \
333            local_target="$$target-am"; \
334          else \
335            local_target="$$target"; \
336          fi; \
337          ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) $$local_target) \
338          || eval $$failcom; \
339        done && test -z "$$fail"
340tags-recursive:
341        list='$(SUBDIRS)'; for subdir in $$list; do \
342          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) tags); \
343        done
344ctags-recursive:
345        list='$(SUBDIRS)'; for subdir in $$list; do \
346          test "$$subdir" = . || ($(am__cd) $$subdir && $(MAKE) $(AM_MAKEFLAGS) ctags); \
347        done
348
349ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
350        list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
351        unique=`for i in $$list; do \
352            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
353          done | \
354          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
355              END { if (nonempty) { for (i in files) print i; }; }'`; \
356        mkid -fID $$unique
357tags: TAGS
358
359TAGS: tags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
360                $(TAGS_FILES) $(LISP)
361        set x; \
362        here=`pwd`; \
363        if ($(ETAGS) --etags-include --version) >/dev/null 2>&1; then \
364          include_option=--etags-include; \
365          empty_fix=.; \
366        else \
367          include_option=--include; \
368          empty_fix=; \
369        fi; \
370        list='$(SUBDIRS)'; for subdir in $$list; do \
371          if test "$$subdir" = .; then :; else \
372            test ! -f $$subdir/TAGS || \
373              set "$$@" "$$include_option=$$here/$$subdir/TAGS"; \
374          fi; \
375        done; \
376        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
377        unique=`for i in $$list; do \
378            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
379          done | \
380          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
381              END { if (nonempty) { for (i in files) print i; }; }'`; \
382        shift; \
383        if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
384          test -n "$$unique" || unique=$$empty_fix; \
385          if test $$# -gt 0; then \
386            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
387              "$$@" $$unique; \
388          else \
389            $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
390              $$unique; \
391          fi; \
392        fi
393ctags: CTAGS
394CTAGS: ctags-recursive $(HEADERS) $(SOURCES) config.h.in $(TAGS_DEPENDENCIES) \
395                $(TAGS_FILES) $(LISP)
396        list='$(SOURCES) $(HEADERS) config.h.in $(LISP) $(TAGS_FILES)'; \
397        unique=`for i in $$list; do \
398            if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
399          done | \
400          $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
401              END { if (nonempty) { for (i in files) print i; }; }'`; \
402        test -z "$(CTAGS_ARGS)$$unique" \
403          || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
404             $$unique
405
406GTAGS:
407        here=`$(am__cd) $(top_builddir) && pwd` \
408          && $(am__cd) $(top_srcdir) \
409          && gtags -i $(GTAGS_ARGS) "$$here"
410
411distclean-tags:
412        -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
413
414distdir: $(DISTFILES)
415        $(am__remove_distdir)
416        test -d "$(distdir)" || mkdir "$(distdir)"
417        @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
418        topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
419        list='$(DISTFILES)'; \
420          dist_files=`for file in $$list; do echo $$file; done | \
421          sed -e "s|^$$srcdirstrip/||;t" \
422              -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
423        case $$dist_files in \
424          */*) $(MKDIR_P) `echo "$$dist_files" | \
425                           sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
426                           sort -u` ;; \
427        esac; \
428        for file in $$dist_files; do \
429          if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
430          if test -d $$d/$$file; then \
431            dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
432            if test -d "$(distdir)/$$file"; then \
433              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
434            fi; \
435            if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
436              cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
437              find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
438            fi; \
439            cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
440          else \
441            test -f "$(distdir)/$$file" \
442            || cp -p $$d/$$file "$(distdir)/$$file" \
443            || exit 1; \
444          fi; \
445        done
446        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
447          if test "$$subdir" = .; then :; else \
448            test -d "$(distdir)/$$subdir" \
449            || $(MKDIR_P) "$(distdir)/$$subdir" \
450            || exit 1; \
451          fi; \
452        done
453        @list='$(DIST_SUBDIRS)'; for subdir in $$list; do \
454          if test "$$subdir" = .; then :; else \
455            dir1=$$subdir; dir2="$(distdir)/$$subdir"; \
456            $(am__relativize); \
457            new_distdir=$$reldir; \
458            dir1=$$subdir; dir2="$(top_distdir)"; \
459            $(am__relativize); \
460            new_top_distdir=$$reldir; \
461            echo " (cd $$subdir && $(MAKE) $(AM_MAKEFLAGS) top_distdir="$$new_top_distdir" distdir="$$new_distdir" \\"; \
462            echo "     am__remove_distdir=: am__skip_length_check=: am__skip_mode_fix=: distdir)"; \
463            ($(am__cd) $$subdir && \
464              $(MAKE) $(AM_MAKEFLAGS) \
465                top_distdir="$$new_top_distdir" \
466                distdir="$$new_distdir" \
467                am__remove_distdir=: \
468                am__skip_length_check=: \
469                am__skip_mode_fix=: \
470                distdir) \
471              || exit 1; \
472          fi; \
473        done
474        -test -n "$(am__skip_mode_fix)" \
475        || find "$(distdir)" -type d ! -perm -755 \
476                -exec chmod u+rwx,go+rx {} \; -o \
477          ! -type d ! -perm -444 -links 1 -exec chmod a+r {} \; -o \
478          ! -type d ! -perm -400 -exec chmod a+r {} \; -o \
479          ! -type d ! -perm -444 -exec $(install_sh) -c -m a+r {} {} \; \
480        || chmod -R a+r "$(distdir)"
481dist-gzip: distdir
482        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
483        $(am__remove_distdir)
484
485dist-bzip2: distdir
486        tardir=$(distdir) && $(am__tar) | BZIP2=$${BZIP2--9} bzip2 -c >$(distdir).tar.bz2
487        $(am__remove_distdir)
488
489dist-lzip: distdir
490        tardir=$(distdir) && $(am__tar) | lzip -c $${LZIP_OPT--9} >$(distdir).tar.lz
491        $(am__remove_distdir)
492
493dist-lzma: distdir
494        tardir=$(distdir) && $(am__tar) | lzma -9 -c >$(distdir).tar.lzma
495        $(am__remove_distdir)
496
497dist-xz: distdir
498        tardir=$(distdir) && $(am__tar) | XZ_OPT=$${XZ_OPT--e} xz -c >$(distdir).tar.xz
499        $(am__remove_distdir)
500
501dist-tarZ: distdir
502        tardir=$(distdir) && $(am__tar) | compress -c >$(distdir).tar.Z
503        $(am__remove_distdir)
504
505dist-shar: distdir
506        shar $(distdir) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).shar.gz
507        $(am__remove_distdir)
508
509dist-zip: distdir
510        -rm -f $(distdir).zip
511        zip -rq $(distdir).zip $(distdir)
512        $(am__remove_distdir)
513
514dist dist-all: distdir
515        tardir=$(distdir) && $(am__tar) | GZIP=$(GZIP_ENV) gzip -c >$(distdir).tar.gz
516        $(am__remove_distdir)
517
518# This target untars the dist file and tries a VPATH configuration.  Then
519# it guarantees that the distribution is self-contained by making another
520# tarfile.
521distcheck: dist
522        case '$(DIST_ARCHIVES)' in \
523        *.tar.gz*) \
524          GZIP=$(GZIP_ENV) gzip -dc $(distdir).tar.gz | $(am__untar) ;;\
525        *.tar.bz2*) \
526          bzip2 -dc $(distdir).tar.bz2 | $(am__untar) ;;\
527        *.tar.lzma*) \
528          lzma -dc $(distdir).tar.lzma | $(am__untar) ;;\
529        *.tar.lz*) \
530          lzip -dc $(distdir).tar.lz | $(am__untar) ;;\
531        *.tar.xz*) \
532          xz -dc $(distdir).tar.xz | $(am__untar) ;;\
533        *.tar.Z*) \
534          uncompress -c $(distdir).tar.Z | $(am__untar) ;;\
535        *.shar.gz*) \
536          GZIP=$(GZIP_ENV) gzip -dc $(distdir).shar.gz | unshar ;;\
537        *.zip*) \
538          unzip $(distdir).zip ;;\
539        esac
540        chmod -R a-w $(distdir); chmod a+w $(distdir)
541        mkdir $(distdir)/_build
542        mkdir $(distdir)/_inst
543        chmod a-w $(distdir)
544        test -d $(distdir)/_build || exit 0; \
545        dc_install_base=`$(am__cd) $(distdir)/_inst && pwd | sed -e 's,^[^:\\/]:[\\/],/,'` \
546          && dc_destdir="$${TMPDIR-/tmp}/am-dc-$$$$/" \
547          && am__cwd=`pwd` \
548          && $(am__cd) $(distdir)/_build \
549          && ../configure --srcdir=.. --prefix="$$dc_install_base" \
550            $(AM_DISTCHECK_CONFIGURE_FLAGS) \
551            $(DISTCHECK_CONFIGURE_FLAGS) \
552          && $(MAKE) $(AM_MAKEFLAGS) \
553          && $(MAKE) $(AM_MAKEFLAGS) dvi \
554          && $(MAKE) $(AM_MAKEFLAGS) check \
555          && $(MAKE) $(AM_MAKEFLAGS) install \
556          && $(MAKE) $(AM_MAKEFLAGS) installcheck \
557          && $(MAKE) $(AM_MAKEFLAGS) uninstall \
558          && $(MAKE) $(AM_MAKEFLAGS) distuninstallcheck_dir="$$dc_install_base" \
559                distuninstallcheck \
560          && chmod -R a-w "$$dc_install_base" \
561          && ({ \
562               (cd ../.. && umask 077 && mkdir "$$dc_destdir") \
563               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" install \
564               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" uninstall \
565               && $(MAKE) $(AM_MAKEFLAGS) DESTDIR="$$dc_destdir" \
566                    distuninstallcheck_dir="$$dc_destdir" distuninstallcheck; \
567              } || { rm -rf "$$dc_destdir"; exit 1; }) \
568          && rm -rf "$$dc_destdir" \
569          && $(MAKE) $(AM_MAKEFLAGS) dist \
570          && rm -rf $(DIST_ARCHIVES) \
571          && $(MAKE) $(AM_MAKEFLAGS) distcleancheck \
572          && cd "$$am__cwd" \
573          || exit 1
574        $(am__remove_distdir)
575        @(echo "$(distdir) archives ready for distribution: "; \
576          list='$(DIST_ARCHIVES)'; for i in $$list; do echo $$i; done) | \
577          sed -e 1h -e 1s/./=/g -e 1p -e 1x -e '$$p' -e '$$x'
578distuninstallcheck:
579        @test -n '$(distuninstallcheck_dir)' || { \
580          echo 'ERROR: trying to run $@ with an empty' \
581               '$$(distuninstallcheck_dir)' >&2; \
582          exit 1; \
583        }; \
584        $(am__cd) '$(distuninstallcheck_dir)' || { \
585          echo 'ERROR: cannot chdir into $(distuninstallcheck_dir)' >&2; \
586          exit 1; \
587        }; \
588        test `$(am__distuninstallcheck_listfiles) | wc -l` -eq 0 \
589           || { echo "ERROR: files left after uninstall:" ; \
590                if test -n "$(DESTDIR)"; then \
591                  echo "  (check DESTDIR support)"; \
592                fi ; \
593                $(distuninstallcheck_listfiles) ; \
594                exit 1; } >&2
595distcleancheck: distclean
596        @if test '$(srcdir)' = . ; then \
597          echo "ERROR: distcleancheck can only run from a VPATH build" ; \
598          exit 1 ; \
599        fi
600        @test `$(distcleancheck_listfiles) | wc -l` -eq 0 \
601          || { echo "ERROR: files left in build directory after distclean:" ; \
602               $(distcleancheck_listfiles) ; \
603               exit 1; } >&2
604check-am: all-am
605check: check-recursive
606all-am: Makefile config.h
607installdirs: installdirs-recursive
608installdirs-am:
609install: install-recursive
610install-exec: install-exec-recursive
611install-data: install-data-recursive
612uninstall: uninstall-recursive
613
614install-am: all-am
615        @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
616
617installcheck: installcheck-recursive
618install-strip:
619        if test -z '$(STRIP)'; then \
620          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
621            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
622              install; \
623        else \
624          $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
625            install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
626            "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
627        fi
628mostlyclean-generic:
629
630clean-generic:
631
632distclean-generic:
633        -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
634        -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
635
636maintainer-clean-generic:
637        @echo "This command is intended for maintainers to use"
638        @echo "it deletes files that may require special tools to rebuild."
639        -test -z "$(MAINTAINERCLEANFILES)" || rm -f $(MAINTAINERCLEANFILES)
640clean: clean-recursive
641
642clean-am: clean-generic mostlyclean-am
643
644distclean: distclean-recursive
645        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
646        -rm -f Makefile
647distclean-am: clean-am distclean-generic distclean-hdr distclean-tags
648
649dvi: dvi-recursive
650
651dvi-am:
652
653html: html-recursive
654
655html-am:
656
657info: info-recursive
658
659info-am:
660
661install-data-am:
662
663install-dvi: install-dvi-recursive
664
665install-dvi-am:
666
667install-exec-am:
668
669install-html: install-html-recursive
670
671install-html-am:
672
673install-info: install-info-recursive
674
675install-info-am:
676
677install-man:
678
679install-pdf: install-pdf-recursive
680
681install-pdf-am:
682
683install-ps: install-ps-recursive
684
685install-ps-am:
686
687installcheck-am:
688
689maintainer-clean: maintainer-clean-recursive
690        -rm -f $(am__CONFIG_DISTCLEAN_FILES)
691        -rm -rf $(top_srcdir)/autom4te.cache
692        -rm -f Makefile
693maintainer-clean-am: distclean-am maintainer-clean-generic
694
695mostlyclean: mostlyclean-recursive
696
697mostlyclean-am: mostlyclean-generic
698
699pdf: pdf-recursive
700
701pdf-am:
702
703ps: ps-recursive
704
705ps-am:
706
707uninstall-am:
708
709.MAKE: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) all \
710        ctags-recursive install-am install-strip tags-recursive
711
712.PHONY: $(RECURSIVE_CLEAN_TARGETS) $(RECURSIVE_TARGETS) CTAGS GTAGS \
713        all all-am am--refresh check check-am clean clean-generic \
714        ctags ctags-recursive dist dist-all dist-bzip2 dist-gzip \
715        dist-lzip dist-lzma dist-shar dist-tarZ dist-xz dist-zip \
716        distcheck distclean distclean-generic distclean-hdr \
717        distclean-tags distcleancheck distdir distuninstallcheck dvi \
718        dvi-am html html-am info info-am install install-am \
719        install-data install-data-am install-dvi install-dvi-am \
720        install-exec install-exec-am install-html install-html-am \
721        install-info install-info-am install-man install-pdf \
722        install-pdf-am install-ps install-ps-am install-strip \
723        installcheck installcheck-am installdirs installdirs-am \
724        maintainer-clean maintainer-clean-generic mostlyclean \
725        mostlyclean-generic pdf pdf-am ps ps-am tags tags-recursive \
726        uninstall uninstall-am
727
728
729# Tell versions [3.59,3.63) of GNU make to not export all variables.
730# Otherwise a system limit (for SysV at least) may be exceeded.
731.NOEXPORT:
Note: See TracBrowser for help on using the repository browser.